package com.cm.common.wechat.pojo;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: WechatOfficialAccountResult
 * @Description: 微信公众号返回结果
 * @Author: WangGeng
 * @Date: 2020/3/1 5:22 下午
 * @Version: 1.0
 **/
public class WechatOfficialAccountAccessToken {

    private String access_token;
    private Integer expires_in;
    private Integer errcode;
    private String errmsg;

    public String getAccess_token() {
        return access_token == null ? "" : access_token.trim();
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public Integer getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(Integer expires_in) {
        this.expires_in = expires_in;
    }

    public Integer getErrcode() {
        return errcode;
    }

    public void setErrcode(Integer errcode) {
        this.errcode = errcode;
    }

    public String getErrmsg() {
        return errmsg == null ? "" : errmsg.trim();
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }
}
